import React from "react";

const AgentPayment = () => {
  return (
    <div className="flex items-center justify-center min-h-screen" style={{ background: '#E9FAFF' }}>
      <div className="absolute top-[66px] left-[139px]">
        <h1 className="font-montserrat font-bold text-[48.31px] leading-[100%]">
          OMPOI - Seller
        </h1>
      </div>

      <div className="absolute top-[194px] left-[134px] bg-white p-8 rounded-[32.6px] shadow-lg w-[1460.608px] h-[729px] flex">
        
        {/* Left Side - Illustration */}
        <div className="w-1/2 flex items-center justify-center p-5">
          <img src="/page6.svg" alt="Verified" className="w-full h-auto" />
        </div>

        {/* Divider */}
        <div className="absolute"
          style={{
            height: '624.67px', // Vertical height
            width: '1.3px', // Thin border
            top: '52.16px',
            left: '730.3px',
            backgroundColor: '#E2E7EE'
          }}>
        </div>

        {/* Right Side - Status Section */}
        <div className="w-1/2 p-10 flex flex-col justify-center">
          <h2 className="absolute top-[89px] left-[794px] font-montserrat font-semibold text-[33.91px] leading-[100%]">
            Status
          </h2>

          <div className="absolute top-[px] left-[788px] bg-[#E9FAFF] p-5 rounded-[12px] border-transparent w-[601px] h-[439px]" style={{ boxShadow: "6px 6px 0px 0px #000000" }}>
            <div style={{
              color: '#45505F',
              top: '20px',
              left: '33px',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Company Name
            </div>
            <div style={{
              color: '#45505F',
              width: '154px',
              top: '52px',
              left: '44px',
              height: '32px',
              color: '#000000',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '600',
              lineHeight: '31.3px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              ABCD PVT LTD
            </div>
            <div style={{
              width: '206px',
              top:'90px',
              left: '28px',
              Height: '32px',
              color: '#45505F',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Company Address
            </div>
            <div style={{
              width: '247px',
              top:'132px',
              left: '19px',
              Height: '72px',
              color: '#000000',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Shop No: 45 ABC Street <br /> Mylapore <br /> Chennai - 600004
            </div>

            <div style={{color: '#45505F', fontSize: 20, fontFamily: 'Montserrat', fontWeight: '500', lineHeight: '31.3px', letterSpacing: '0.13px', wordWrap: 'break-word', width: '298px', height: '32px', position: 'absolute', top: '238px', left: '154px'}}>
              Merchant ID : <span style={{ color: '#45505F', fontFamily: 'Montserrat', fontWeight: '600', fontSize: '22px', lineHeight: '31.3px', letterSpacing: '0.13px' }}>TAMIL12345</span>
            </div>

            <p className="absolute" style={{ width: '392px', height: '24px', top: '278px', left: '109px', fontFamily: 'Montserrat', fontWeight: '500', fontSize: '20px', lineHeight: '100%', letterSpacing: '0.13px', textAlign: 'centre' }}>
              Login to your account to get started
            </p>

            {/* Login Button */}
            <button
              className="absolute top-[340px] left-[184px] bg-[#0096FF] text-white font-bold rounded-full text-sm border-3 border-blue-600 cursor-pointer w-[241px] h-[45px] flex items-center justify-center font-montserrat text-[20.91px] leading-[100%] px-[37px] py-[10px] gap-[10px] shadow-md"
              style={{ borderRadius: "90px", paddingTop: "10px", paddingRight: "40px", paddingBottom: "10px", paddingLeft: "37px", gap: "10px" }}
            >
              Login Now
            </button>

            {/* Verified Badge */}
            <div
              className="absolute top-[23px] left-[410px] text-black rounded-full text-sm font-semibold border-2 border-[#0096FF] cursor-pointer w-[156px] h-[45px] flex items-center justify-center"
              style={{
                border: "2px solid #0096FF",
                borderRadius: "50px",
                paddingTop: "10px",
                paddingRight: "37px",
                paddingBottom: "10px",
                paddingLeft: "37px",
                gap: "10px"
              }}
            >
              <div style={{ width:'82px', Height:'25px' , color: '#101418', fontSize: 20.91, fontFamily: 'Montserrat', fontWeight: '500', wordWrap: 'break-word' ,  }}>
                Verified
              </div>
            </div>
          </div>

          {/* Payment Details */}
          <div style={{
            color: '#45505F',
            fontSize: 22,
            fontFamily: 'Montserrat',
            fontWeight: '600',
            lineHeight: '31.30px',
            letterSpacing: '0.13px',
            wordWrap: 'break-word',
            width: '200px',
            height: '32px',
            position: 'absolute',
            top: '230px',
            left: '1109px'
          }}>
            Payment Details
          </div>

          {/* Payment ID */}
          <div style={{
            color: '#45505F',
            fontSize: 22,
            fontFamily: 'Montserrat',
            fontWeight: '500',
            lineHeight: '31.30px',
            letterSpacing: '0.13px',
            wordWrap: 'break-word',
            width: '206px',
            height: '32px',
            position: 'absolute',
            top: '264px',
            left: '1125px'
          }}>
            Payment ID
          </div>

          {/* Payment ID Value */}
          <div style={{
            color: '#000000',
            fontSize: 20,
            fontFamily: 'Montserrat',
            fontWeight: '500',
            lineHeight: '100%',
            letterSpacing: '0.13px',
            wordWrap: 'break-word',
            width: '246px',
            height: '24px',
            position: 'absolute',
            top: '298px',
            left: '1127px'
          }}>
            ATUWBYTY1245678HBG
          </div>
        </div>
      </div>
    </div>
  );
};

export default AgentPayment;
