import React from "react";
import { useNavigate } from "react-router-dom";

const AgentVerified = () => {
  const navigate = useNavigate();

  return (
    <div className="flex items-center justify-center min-h-screen" style={{ background: '#E9FAFF' }}>
      <div className="absolute top-[66px] left-[139px]">
        <h1 className="font-montserrat font-bold text-[48.31px] leading-[100%]">
          OMPOI - Seller
        </h1>
      </div>

      <div className="absolute top-[194px] left-[134px] bg-white p-8 rounded-[32.6px] shadow-lg w-[1460.608px] h-[729px] flex">
        
        {/* Left Side - Illustration */}
        <div className="w-1/2 flex items-center justify-center p-5">
          <img src="/page5.svg" alt="Illustration" className="w-full h-auto" />
        </div>

        {/* Divider */}
        <div className="absolute"
          style={{
            height: '624.67px', // Vertical height
            width: '1.3px', // Thin border
            top: '52.16px',
            left: '730.3px',
            backgroundColor: '#E2E7EE'
          }}>
        </div>

        {/* Right Side - Status Section */}
        <div className="w-1/2 p-10 flex flex-col justify-center">
          <h2 className="absolute top-[89px] left-[794px] font-montserrat font-semibold text-[33.91px] leading-[100%]">
            Status
          </h2>

          <div className="absolute top-[149px] left-[788px] bg-[#DFFFD6] p-5 rounded-[12px] border border-transparent w-[601px] h-[439px]" style={{ boxShadow: "6px 6px 0px 0px #000000" }}>
            <div style={{
              width: '183px',
              top: '20px',
              left: '33px',
              height: '32px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Company Name
            </div>
            <div style={{
              width: '154px',
              top: '52px',
              height: '32px',
              left: '44px',
              color: '#000000',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '600',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              ABCD PVT LTD
            </div>

            <div style={{
              width: '206px',
              height: '32px',
              top: '100px',
              left: '28px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Company Address
            </div>
            <div style={{
              color: '#000000',
              width: '247px',
              height: '72px',
              top: '132px',
              left: '44px', 
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '100%',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Shop No: 45 ABC Street <br /> Mylapore <br /> Chennai - 600004
            </div>

            <div style={{
              width: '125px',
              top: '219px',
              left: '33px',
              height: '32px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '600',
              lineHeight: '31.3px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Verified By
            </div>
            <div style={{
              width: '206px',
              height: '32px',
              top: '255px',
              left: '49px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Agent Name
            </div>
            <div style={{
              width: '85px',
              height: '24px',
              left: '49px',
              top: '293px',
              color: '#000000',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '549',
              lineHeight: '100%',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Gopal M
            </div>
            <div style={{
              width: '206px',
              height: '32px',
              top: '325px',
              left: '20px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Agent Number
            </div>
            <div style={{
              color: 'black',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              +91-12345 69870
            </div>

            {/* Verified Badge */}
            <div
              className="absolute text-black rounded-full text-sm font-semibold cursor-pointer flex items-center justify-center"
              style={{
                width: '156px',
                height: '45px',
                top: '23px',
                left: '410px',
                borderRadius: '50px',
                borderWidth: '3px',
                paddingTop: '10px',
                paddingRight: '37px',
                paddingBottom: '10px',
                paddingLeft: '37px',
                gap: '10px',
                border: '3px solid #22CA00',
                backgroundColor: 'transparent'
              }}
            >
              <span style={{ 
                fontFamily: 'Montserrat', 
                fontWeight: 500, 
                fontSize: '20.91px', 
                lineHeight: '100%', 
                letterSpacing: '0px',
                display: 'flex',
                alignItems: 'center',
                justifyContent: 'center'
              }}>
                Verified
              </span>
            </div>

            {/* Payment Section */}
            <div className="absolute top-[156px] left-[321px] text-center" style={{ width: '245px', height: '63px' }}>
              <div style={{width: '100%', textAlign: 'center', color: '#45505F', fontSize: 26, fontFamily: 'Montserrat', fontWeight: '600', lineHeight: '31.30px', letterSpacing: '0.13px', wordWrap: 'break-word'}}>
                Pay Now To Get Your Merchant ID
              </div>
              <button
                onClick={() => navigate("/agent-payment")}
                className="mt-2 bg-green-600 text-white rounded-full text-sm font-semibold border-3 border-green-600 cursor-pointer w-[241px] h-[45px] flex items-center justify-center font-montserrat text-[20.91px] leading-[100%] px-[37px] py-[10px] gap-[10px] shadow-md hover:bg-green-700"
              >
                <div style={{
                  width: '94px',
                  height: '25px',
                  fontFamily: 'Montserrat',
                  fontWeight: '500',
                  fontSize: '20.91px',
                  lineHeight: '100%',
                  letterSpacing: '0px',
                  textAlign: 'center',
                  color: 'white'
                }}>
                  Pay Now
                </div>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default AgentVerified;
