import React from "react";
import { useNavigate } from "react-router-dom";

const StatusPage = () => {
  const navigate = useNavigate();

  return (
    <div className="flex items-center justify-center min-h-screen" style={{ background: '#E9FAFF' }}>
      <div className="absolute top-[66px] left-[139px]">
        <h1 className="font-montserrat font-bold text-[48.31px] leading-[100%]">
          OMPOI - Seller
        </h1>
      </div>

      <div className="absolute top-[194px] left-[134px] bg-white p-8 rounded-[32.6px] w-[1460.608px] h-[729px] flex">
        {/* Left Side - Illustration */}
        <div className="w-1/2 flex items-center justify-center p-5">
          <img src="/page2.svg" alt="Illustration" className="w-full h-auto" />
        </div>

        {/* Divider */}
        <div className="absolute"
          style={{
            height: '624.67px', // Height instead of width since it's vertical
            width: '1.3px', // Thin line
            top: '52.16px',
            left: '730.3px',
            backgroundColor: '#E2E7EE',
            transform: 'rotate(0deg)' // No need to rotate a vertical line
          }}>
        </div>

        {/* Right Side - Status Section */}
        <div className="w-1/2 p-10 flex flex-col justify-center">
          <h2 className="absolute top-[89px] left-[794px] font-montserrat font-semibold text-[33.91px] leading-[100%]">
            Status
          </h2>

          <div className="absolute top-[149px] left-[788px] bg-[#F9A78D] p-5 rounded-[12px] border border-transparent w-[610px] h-[311px]" style={{ boxShadow: "6px 6px 0px 0px #000000" }}>
            <div style={{
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Company Name
            </div>
            <div style={{
              width: '154px',
              height: '32px',
              top: '52px',
              left: '33px',
              color: '#000000',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '600',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              ABCD PVT LTD
            </div>

            <div style={{
              width: '206px',
              height: '32px',
              top: '100px',
              left: '28px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.30px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Company Address
            </div>
            <div style={{
              color: 'black',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '549',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Shop No: 45 ABC Street <br /> Mylapore <br /> Chennai - 600004
            </div>

            <div style={{
              width: '206px',
              height: '32px',
              top: '219px',
              left: '33px',
              color: '#45505F',
              fontSize: 22,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '31.3px',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Agent Details
            </div>
            <div style={{
              width: '136px',
              height: '24px',
              top: '251px',
              left: '33px',  
              color: 'black',
              fontSize: 20,
              fontFamily: 'Montserrat',
              fontWeight: '500',
              lineHeight: '100%',
              letterSpacing: '0.13px',
              wordWrap: 'break-word'
            }}>
              Not Available
            </div>

            {/* Pending Button with Navigation */}
            <button
              onClick={() => navigate("/agent-status")}
              className="absolute top-[30px] left-[416px] text-black px-3 py-1 rounded-full text-sm border-3 w-[167px] h-[44px] flex items-center justify-center"
              style={{ border: "3px solid #FF3D00", backgroundColor: "transparent" }}
            >
              <span style={{ 
                fontFamily: 'Montserrat', 
                fontWeight: 500, 
                fontSize: '20.91px', 
                lineHeight: '100%', 
                letterSpacing: '0px' 
              }}>
                Pending
              </span>
            </button>
          </div>
        </div>
      </div>
    </div>
  );
};

export default StatusPage;
